### Type parameters

- #### T

### Hierarchy

- ConcatArray

### Indexable

[n: number]: T

## Index

### Properties

- length

### Methods

- join
- slice

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1189

## Methods

### join

- join(separator?: undefined | string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1191

  #### Parameters

  - ##### Optional separator: undefined | string

  #### Returns string

### slice

- slice(start?: undefined | number, end?: undefined | number): T[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1192

  #### Parameters

  - ##### Optional start: undefined | number

  - ##### Optional end: undefined | number

  #### Returns T[]

Generated using TypeDoc